import { AbstractRouter, Route } from '@midwayjs/hooks-core';
export declare enum RouteKeyword {
    INDEX = "index",
    CATCH_ALL = "/*",
    DYNAMIC = ":"
}
export interface FileSystemRouterConfig {
    source: string;
    routes: Route[];
    legacy?: boolean;
}
export declare class FileSystemRouter extends AbstractRouter {
    config: FileSystemRouterConfig;
    constructor(config: FileSystemRouterConfig);
    getApiDirectory(baseDir: string): string;
    /**
     * legacy: index-handler
     * now: indexHandler
     */
    getFunctionId(file: string, functionName: string, isExportDefault: boolean): string;
    getRoute(file: string): Route;
    isApiFile({ file }: {
        file: any;
    }): boolean;
    functionToHttpPath(file: string, functionName: string, exportDefault: boolean): string;
    buildUrl(file: string, functionName?: string): any;
}
